Determinando la versión de easy_install / setuptools

Estoy intentando instalar couchapp, que usa easy_install, y es bastante explícito al indicar que se necesita una versión particular de easy_install / setuptools: 0.6c6. Parece que ya tengo easy_install en mi Mac, pero no hay argumentos en la línea de comandos para verificar la versión. En lugar de simplemente instalar una nueva versión en la parte superior, me gustaría ver si es necesario primero.

Entonces: ¿Algún indicador sobre cómo puedo ver qué versión de setuptools / easy_install he instalado en mi máquina?

No soy un desarrollador de Python, así que asumo que esta es una pregunta simple. Sin embargo, no he encontrado nada a través de Google o aquí en SOF.

Una forma sería mirar el archivo fuente real para easy_install. Hacer

which easy_install 

para ver dónde está ubicado, y luego usar ese camino en

 less path/to/easy_install 

La segunda línea en mi script de instalación fácil dice:

 # EASY-INSTALL-ENTRY-SCRIPT: 'setuptools==0.6c11','console_scripts','easy_install' 

lo que sugiere que tengo la versión de easy_install 0.6c11.

Esto parece tener muchos éxitos de google, así que pensé que actualizaría para esa gente. Pude hacer

 easy_install --version 

que produjo la salida

 setuptools 3.4.3 

Creo que esto solo funciona para algunas versiones (más nuevas?) De setuptools

En Windows, donde Python está en la ruta:

 python -m easy_install --version 

Para mí, tengo setuptools 7.0 como respuesta.